KAccelShortcutList class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAccelShortcutList Class Reference

KShortcutList implementation to access KAccel and KGlobalAccel lists. More...

`#include <kshortcutlist.h>`

Inheritance diagram for KAccelShortcutList:

[legend]
Collaboration diagram for KAccelShortcutList:

[legend]
List of all members.

## Public Member Functions
| KAccelShortcutList (KAccel *accel)
| Creates a new KShortcutList that accesses the given KAccel.
| KAccelShortcutList (KGlobalAccel *accel)
| Creates a new KShortcutList that accesses the given KGlobalAccel.
| KAccelShortcutList (KAccelActions &actions, bool bGlobal)
virtual unsigned int | count () const
| Returns the number of entries.
virtual QString | name (unsigned int index) const
| Returns the name of the shortcut with the given `index`.
virtual QString | label (unsigned int index) const
| Returns the (i18n'd) label of the shortcut with the given `index`.
virtual QString | whatsThis (unsigned int index) const
| Returns the (i18n'd) What's This text of the shortcut with the given `index`.
virtual const KShortcut & | shortcut (unsigned int index) const
| Returns the shortcut with the given `index`.
virtual const KShortcut & | shortcutDefault (unsigned int index) const
| Returns default shortcut with the given `index`.
virtual bool | isConfigurable (unsigned int index) const
| Checks whether the shortcut with the given `index` is configurable.
virtual bool | setShortcut (unsigned int index, const KShortcut &shortcut)
| Sets the shortcut of the given entry.
virtual bool | isGlobal (unsigned int index) const
| Checks whether the shortcut with the given `index` is saved in the global configuration.
virtual QVariant | getOther (Other, unsigned int index) const
virtual bool | setOther (Other, unsigned int index, QVariant)
virtual bool | save () const
| Save the shortcut list.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
| used to extend the interface with virtuals without breaking binary compatibility
## Protected Attributes
KAccelActions & | m_actions
bool | m_bGlobal

## Detailed Description

KShortcutList implementation to access KAccel and KGlobalAccel lists.

Definition at line 192 of file kshortcutlist.h.

## Constructor & Destructor Documentation

KAccelShortcutList::KAccelShortcutList | ( | KAccel * | accel | ) |

  | Creates a new KShortcutList that accesses the given KAccel. Parameters:
  accel | the accelerators to access
Definition at line 150 of file kshortcutlist.cpp.

KAccelShortcutList::KAccelShortcutList | ( | KGlobalAccel * | accel | ) |

  | Creates a new KShortcutList that accesses the given KGlobalAccel. Parameters:
  accel | the accelerators to access
Definition at line 156 of file kshortcutlist.cpp.

## Member Function Documentation

uint KAccelShortcutList::count | ( |  | ) | const`[virtual]`

| Returns the number of entries. Returns: the number of entries Implements KShortcutList. Definition at line 171 of file kshortcutlist.cpp.

virtual QString KAccelShortcutList::name | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the name of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the name of the shortcut Implements KShortcutList.

virtual QString KAccelShortcutList::label | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the (i18n'd) label of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the label (i18n'd) of the shortcut Implements KShortcutList.

virtual QString KAccelShortcutList::whatsThis | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the (i18n'd) What's This text of the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the What's This text (i18n'd) of the shortcut Implements KShortcutList.

virtual const KShortcut& KAccelShortcutList::shortcut | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the shortcut See also: shortcutDefault() Implements KShortcutList.

virtual const KShortcut& KAccelShortcutList::shortcutDefault | ( | unsigned int | index | ) | const`[virtual]`

  | Returns default shortcut with the given `index`. Parameters:
  index | the index of the shortcut (must be < count())
Returns: the default shortcut See also: shortcut() Implements KShortcutList.

virtual bool KAccelShortcutList::isConfigurable | ( | unsigned int | index | ) | const`[virtual]`

  | Checks whether the shortcut with the given `index` is configurable. Parameters:
  index | the index of the shortcut (must be < count())
Returns: true if configurable, false otherwise Implements KShortcutList.

virtual bool KAccelShortcutList::setShortcut | ( | unsigned int | index,
|  | const KShortcut & | shortcut
| ) | `[virtual]`

  | Sets the shortcut of the given entry. Parameters:
  index | the index of the shortcut (must be < count())
  shortcut | the shortcut
Implements KShortcutList.

virtual bool KAccelShortcutList::isGlobal | ( | unsigned int | index | ) | const`[virtual]`

  | Checks whether the shortcut with the given `index` is saved in the global configuration. Parameters:
  index | the index of the shortcut (must be < count())
Returns: true if global, false otherwise Reimplemented from KShortcutList.

bool KAccelShortcutList::save | ( |  | ) | const`[virtual]`

| Save the shortcut list. Returns: true if successful, false otherwise Implements KShortcutList. Definition at line 193 of file kshortcutlist.cpp. References KShortcutList::writeSettings().

void KAccelShortcutList::virtual_hook | ( | int | id,
|  | void * | data
| ) | `[protected, virtual]`

| used to extend the interface with virtuals without breaking binary compatibility Reimplemented from KShortcutList. Definition at line 199 of file kshortcutlist.cpp. References KShortcutList::virtual_hook().

The documentation for this class was generated from the following files:

- kshortcutlist.h
- kshortcutlist.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:11 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001